Calculate redemption values for a direct asset
POST
/portfolio/transactions/form-calculations/redemption-valuesComputes per-investor redemption breakdowns (units, value, price) for a Direct Investment asset at a given point in time.
Request body
application/json, required · PortfolioFormCalculateRedemptionValuesRequest
{
"asset_id": 1,
"investor_ids": [
1
],
"total_value": 1,
"number_of_units": 1,
"price_per_unit": 1,
"held_at": "2026-06-12T10:00:00+00:00"
}Responses
200
{
"totalValue": "string",
"pricePerUnit": "string",
"capitalReturned": "string",
"capitalGain": "string"
}422
Validation error
Examples
curl -X POST https://your-org-domain/kong/core/api/v2/portfolio/transactions/form-calculations/redemption-values\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"asset_id": 1,
"investor_ids": [
1
],
"total_value": 1,
"number_of_units": 1,
"price_per_unit": 1,
"held_at": "2026-06-12T10:00:00+00:00"
}'